import { APIBase } from '@dvn/core/api/apiBase';
export class TakvimApiImpl {
  constructor(endpoint, defaultHeaders = {}) {
    this.getAvailabilities = (availabilityConfigId) => this.api.get(`${availabilityConfigId}/availabilities`);
    this.addAuthInterceptor = (token) => {
      this.api.addAuthInterceptor(token);
    };
    this.api = new APIBase(endpoint, defaultHeaders);
  }
}
